Print composer extents add option to auto sync to map canvas extent
Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 19162
Description

Current behaviour one has to manually click set to map canvas extent, an option to sync both would be a nice addition | think

Maybe a checkbox with auto which grays out min/max values?

History

#1 - 2014-07-02 09:31 AM - Giovanni Manghi
- Category set to Map Composer/Printing

#2 - 2014-07-03 01:06 AM - Per Gammerath

| totally agree. Printing out a map is not an easy task for novice users when the print composer doesn't automatically reflect the canvas.

#3 - 2014-07-09 07:25 PM - Ed B

| just finished a new plugin which will syncronize the map with composer. When it is approved | will update this issue.

#4 - 2014-07-22 10:21 AM - Ed B

The plugin is finished but it is experimental and it only works on 64 bit version

http://plugins.qgis.org/plugins/syncComposerWithMap/

#5 - 2014-07-24 06:35 PM - Antonio Locandro

Tried with 32 bit and worked, | was hoping more of a check box that each time the map canvas moved the print composer would synchronize, but this is a

compromise.

#6 - 2014-07-25 10:19 AM - Ed B

| hope to get it working so that you don't have to click the toolbar button but | need to learn how to work with signals and slots.

#7 - 2014-07-25 10:22 AM - Antonio Locandro

Maybe keeping both options would be nice, keep up the good work! Thanks for the plugin
http://plugins.qgis.org/plugins/syncComposerWithMap/

#8 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#9 - 2018-03-19 06:20 PM - Antonio Locandro

Too bad this plugin last update is 2014 and the functionality is not part of layouts. Would be interesting if Nyall could add this.
